# coop-cloud-apps

Configuration files for our [`coop-cloud`] apps.

Each file in this repository represents an "app", an instance of a "stack".

## Initial set-up

Check out the code and symlink the directories into your `~/.abra/servers` folder:

```
git clone ssh://git@git.autonomic.zone:2222/autonomic-cooperative/coop-cloud-apps.git
cd coop-cloud-apps
make
```

You can mass-add all the servers to your `abra` configuration using something like this:
```
for SERVER in $(find * -maxdepth 0 -type d); do abra server add $SERVER $USER 222; done
```

(If your local username is different to your username on our VPSs, change
`$USER` to your remote username, e.g. `.. server add calix ..`)

## Deploying a new app instance

```
abra new wordpress # answer questions
abra app <domain name> deploy
```

Then come back to this repository and add and commit the new file.

[`coop-cloud`]: https://git.autonomic.zone/coop-cloud
